                            % HEMODYNAMIC MODEL FOR BENCHMARK PATIENT SIMULATOR
                                    % CLARA IONESCU AND DANA COPOT
                                % GHENT UNIVERSITY, BELGIUM, JANUARY 2021

%when this program is used please cite the following: 

% An Open Source Patient Simulator for Design and Evaluation of Computer  Based Multiple Drug Dosing Control for Anesthetic and Hemodynamic Variables
% C. Ionescu, M. Neckebroek, Mi. Ghita and D. Copot
% IEEE Access; 2021; doi 10.1109/ACCESS.2021.3049880  
                                
          

%% Initialisation of hemodynamic models
%The model has two inputs (Dopamine and Sodium Nitroprusside) 
%and two outputs (Cardiac Output and Mean Arterial Pressure)


%% Interaction model from Remifentanil to MAP (hypotensive)
% Note: this model only consists of a gain dependent on the current effect site
% concentration of Remifentanil. This is implemented directly in the
% simulink-model

%% Hemodynamic model
%Hemodyn model
g11=tf(K11,[tau11 1],'inputdelay',T11); %dopamine
g21=tf(K21,[tau21 1],'inputdelay',T21);

g12=tf(K12,[tau12 1],'inputdelay',T12); %snp
g22=tf(K22,[tau22 1],'inputdelay',T22);


